# PropertySort

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how properties are sorted in the [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PropertySort : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PropertySort As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                        | Description                                                                                                                                                                                  |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Alphabetical**            | Properties are sorted in an alphabetical list.                                                                                                                                               |
| **Categorized**             | Properties are displayed according to their category in a group. The categories are defined by the properties themselves.                                                                    |
| **CategorizedAlphabetical** | Properties are displayed according to their category in a group. The properties are further sorted alphabetically within the group. The categories are defined by the properties themselves. |
| **NoSort**                  | Properties are displayed in the order in which they are retrieved from the [TypeDescriptor](https://docs.microsoft.com/dotnet/api/system.componentmodel.typedescriptor).                     |

## Used By

| Name                                                                                     | Description                                                                                                                        |
| ---------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| [PropertyGrid.PropertySort](/api/wisej.web/lists-and-grids/propertygrid.md#propertysort) | Returns or sets the type of sorting the [PropertyGrid](/api/wisej.web/lists-and-grids/propertygrid.md) uses to display properties. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertysort.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
